/* for saved session */
drop table if exists session;
create table session (
  session char(20) not null collate utf8_bin,
  statusId int not null,
  statusNote varchar(255) null,
  clientCtrl text null, /* client will eval the json content */
  customTrackAttr text null, /* info about custom tracks */
  juxType int not null,
  juxWhat text null,
  juxNote varchar(255) null,
  dspStat varchar(255) null,
  corrStat varchar(255) null,
  itemlist text null,
  custmd text null,
  mdconshow text null,
  dataset varchar(255) null,
  pairwisecomp text null,
  bed_n text null,
  bed_c text null,
  bedgraph_n text null,
  bedgraph_c text null,
  sam_n text null,
  sam_c text null,
  qdecor_n text null,
  lr_n text null,
  lr_c text null,
  cat_n text null,
  cat_c text null,
  bigwighmtk_n text null,
  bigwighmtk_c text null,
  decorRenderingParams text null, /* not only decor, but non-qtc params for all tracks */
  qtc text not null,
  gssparam text null,
  stickynote text null,
  scaffoldCount smallint null,
  scaffoldNames text null
);
/* for run-time use of gene set view */
drop table if exists genesetRuntime;
create table genesetRuntime (
  session char(20) not null collate utf8_bin,
  statusId int not null,
  itemlist text not null
);
/* scaffold, for run-time */
drop table if exists scaffoldRuntime;
create table scaffoldRuntime (
  session char(20) not null collate utf8_bin,
  statusId int not null,
  count smallint unsigned not null,
  names text not null /* name1,len1,name2,len2,... */
);
